Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class Not

    java.lang.Object
      org.modeshape.graph.query.model.Not

All Implemented Interfaces:
  Serializable, Constraint, LanguageObject, Visitable

Direct Known Subclasses:
  JcrNot

    @Immutable
    public class Not

extends Object
implements Constraint

A constraint that negates another constraint.

See Also:
  Serialized Form

Constructor Summary
`Not(Constraint constraint)` Create a constraint that negates another constraint.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`Constraint` | `constraint()` The constraint being negated.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Not

    public Not(Constraint constraint)

  Create a constraint that negates another constraint.

  Parameters:
    `constraint` - the constraint that is being negated
  Throws:
    `IllegalArgumentException` - if the supplied constraint is null

Method Detail

### constraint

    public Constraint constraint()

  The constraint being negated.

  Returns:
    the constraint; never null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.